/*

   Copyright 2003  The Apache Software Foundation 

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.

 */
package org.apache.batik.dom.svg;

/**
 * Constants for the SVGPathSeg interface
 *
 * @author <a href="mailto:nicolas.socheleau@bitflash.com">Nicolas Socheleau</a>
 * @version $Id: SVGPathSegConstants.java,v 1.3 2004/08/18 07:13:18 vhardy Exp $
 *
 */
public interface SVGPathSegConstants {

public static final String PATHSEG_ARC_ABS_LETTER
    = "A";

public static final String PATHSEG_ARC_REL_LETTER
    = "a";

public static final String PATHSEG_CLOSEPATH_LETTER
    = "z";

public static final String PATHSEG_CURVETO_CUBIC_ABS_LETTER
    = "C";

public static final String PATHSEG_CURVETO_CUBIC_REL_LETTER
    = "c";

public static final String PATHSEG_CURVETO_CUBIC_SMOOTH_ABS_LETTER
    = "S";

public static final String PATHSEG_CURVETO_CUBIC_SMOOTH_REL_LETTER
    = "s";

public static final String PATHSEG_CURVETO_QUADRATIC_ABS_LETTER
    = "Q";

public static final String PATHSEG_CURVETO_QUADRATIC_REL_LETTER
    = "q";

public static final String PATHSEG_CURVETO_QUADRATIC_SMOOTH_ABS_LETTER
    = "T";

public static final String PATHSEG_CURVETO_QUADRATIC_SMOOTH_REL_LETTER
    = "t";

public static final String PATHSEG_LINETO_ABS_LETTER
    = "L";

public static final String PATHSEG_LINETO_HORIZONTAL_ABS_LETTER
    = "H";

public static final String PATHSEG_LINETO_HORIZONTAL_REL_LETTER
    = "h";
    
public static final String PATHSEG_LINETO_REL_LETTER
    = "l";

public static final String PATHSEG_LINETO_VERTICAL_ABS_LETTER
    = "V";

public static final String PATHSEG_LINETO_VERTICAL_REL_LETTER
    = "v";

public static final String PATHSEG_MOVETO_ABS_LETTER
    = "M";

    public static final String PATHSEG_MOVETO_REL_LETTER
        = "m";

}
